{
  inputs = {
    nixpkgs = {
      url = "github:NixOS/nixpkgs/release-23.05";
    };
  };
  outputs = { self, nixpkgs, sops-nix }: {
    nixosConfigurations.kcnhub = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      modules = [ 
         ./machines/kcnhub/configuration.nix 
      ];
    };
  };
}
